Problem searching for package - XMLRPC request failed #7

Closed
opened 10 months ago by astein · 5 comments
astein commented 10 months ago

Thanks for you extension - I want to use it to develop some extensions myself.

I follow your video tutorial and try to install py3o.template - but get this error message after a few seconds:

ERROR: XMLRPC request failed (code -32500) ... 
RuntimeError: PyPi's XMLRPC API is currently diabled due to unmanageable load and ... 

It looks like we need another way of locating the package.
I tried to download it manually (the file //py3o.template-0.10.0-py3-none-any.whl//), but the browse for file button asks for a ** .txt* file.

I do this under Windows and I'm a bit new to Python under LibreOffice.

Any advice / workaround is appreciated!

Thanks for you extension - I want to use it to develop some extensions myself. I follow your video tutorial and try to install **py3o.template** - but get this error message after a few seconds: ``` ERROR: XMLRPC request failed (code -32500) ... RuntimeError: PyPi's XMLRPC API is currently diabled due to unmanageable load and ... ``` It looks like we need another way of locating the package. I tried to download it manually (the file //py3o.template-0.10.0-py3-none-any.whl//), but the **browse for file** button asks for a ** *.txt** file. I do this under Windows and I'm a bit new to Python under LibreOffice. Any advice / workaround is appreciated! ![](https://)
Owner

Maybe this project is dead...

https://bitbucket.org/faide/py3o.template

I can see in github, but, the last tag is the 2015, LibreOffice change in many ways in this time.

https://github.com/faide/py3o.template

Maybe this project is dead... https://bitbucket.org/faide/py3o.template I can see in github, but, the last tag is the 2015, LibreOffice change in many ways in this time. https://github.com/faide/py3o.template
Poster

It looks dormant, yes.

However, the issue I posted here does come during installation phase - PIP trying to resolve dependencies (what I understand). And py3o.template was used in the ZazPip demo video.

The issue has to do with changed behaviour of pip search:

I will try ZazPip with some other package.

Thanks for sharing your work around LibreOffice & Python!

It looks dormant, yes. However, the issue I posted here does come during installation phase - PIP trying to resolve dependencies (what I understand). And `py3o.template` was used in the ZazPip demo video. The issue has to do with changed behaviour of `pip search`: * [SO thread](https://stackoverflow.com/questions/66375972/getting-error-with-pip-search-and-pip-install) I will try ZazPip with some other package. Thanks for sharing your work around LibreOffice & Python!
Owner

I disabled the packet search, because it is not active in PIP.

This not problem with ZAZ-Pip

I disabled the packet search, because it is not active in PIP. This not problem with ZAZ-Pip
elmau closed this issue 10 months ago

Zaz-Pip is giving me that error on every module I've tried: mido, numpy, ofxparse, ofxclient, orm, pymysql, PySide2, sqlalchemy, tkinter, ynab.

On my system installation of Python, pip works fine on all of those modules.

It sure looks to me like an open bug in Zaz-pip; or what could I be doing wrong?

I have:
Windows 10
LibreOffice 7.2.5.2 (x64)
LibreOffice Python 3.8.10
Zaz-Pip 0.10.0

Zaz-Pip is giving me that error on every module I've tried: mido, numpy, ofxparse, ofxclient, orm, pymysql, PySide2, sqlalchemy, tkinter, ynab. On my system installation of Python, pip works fine on all of those modules. It sure looks to me like an open bug in Zaz-pip; or what could I be doing wrong? I have: Windows 10 LibreOffice 7.2.5.2 (x64) LibreOffice Python 3.8.10 Zaz-Pip 0.10.0
Owner

Please, always open new issue.

Please, always open new issue.
Sign in to join this conversation.
No Label
No Milestone
No Assignees
3 Participants
Notifications
Due Date

No due date set.

Dependencies

This issue currently doesn't have any dependencies.

Loading…
There is no content yet.